SoViewingMatrixElement(3)

NAME
SoViewingMatrixElement - The SoViewingMatrixElement class stores the world-to-camera transformation.

SYNOPSIS

#include <Inventor/elements/SoViewingMatrixElement.h>

Inherits SoReplacedElement.

Inherited by SoGLViewingMatrixElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const SbMatrix &ViewingMatrix)
FIXME: write doc.
static const SbMatrix & get (SoState *const state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoViewingMatrixElement ()
virtual void setElt (const SbMatrix &matrix)
FIXME: write doc.

  Protected Attributes
SbMatrix viewingMatrix

  Additional Inherited Members

Detailed Description

The SoViewingMatrixElement class stores the world-to-camera transformation.

See also
    SoModelMatrixElement

Constructor & Destructor Documentation

  SoViewingMatrixElement::~SoViewingMatrixElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoViewingMatrixElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoViewingMatrixElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoViewingMatrixElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoViewingMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoViewingMatrixElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is the identity matrix.

Reimplemented from SoReplacedElement.

Reimplemented in SoGLViewingMatrixElement.

  void SoViewingMatrixElement::setElt (const SbMatrix & matrix) [protected], [virtual]

FIXME: write doc.

Reimplemented in SoGLViewingMatrixElement.

Member Data Documentation

  SoViewingMatrixElement::viewingMatrix [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.